///////////////////////////////////
//
//   Add-On: Baseplate Rules
//
//   ---------------------------
//
//   Author: General
//   BL ID: 4878
//
//   ---------------------------
//
//   File: client.cs
//
//   File version: 1
//   Last updated on: 29/04/2011
//
///////////////////////////////////



exec("./baseplateRules.gui");
package baseplateRulesClient
{
	function clientCmdBRGuiSetup(%enable,%admin)
	{
		BR_AppliesTo.clear();
		BR_AppliesTo.add("Super (Admins)",0);
		BR_AppliesTo.add("Admins",1);
		BR_AppliesTo.add("No Admin",2);
		$BR_Enable = %enable;
		if(%enable == 0)
			BR_Blocker.setVisible(1);
		else
			BR_Blocker.setVisible(0);
		if(%admin == 0)
			BR_AppliesTo.setText("Super (Admins)");
		if(%admin == 1)
			BR_AppliesTo.setText("Admins");
		if(%admin == 2)
			BR_AppliesTo.setText("No Admin");
		
		$BR_ExceptionID = 0;
		BR_ExceptionList.clear();
	}

	function clientCmdBRGuiSetup2(%exception)
	{
		BR_ExceptionList.addRow($BR_ExceptionID,%exception);
		$BR_ExceptionID ++;
		BR_ExceptionList.sortNumerical(0,true);
	}
	
	function clientCmdBREnable($BR_Enable)
	{
		if($BR_Enable == 0)
			BR_Blocker.setVisible(1);
		else
			BR_Blocker.setVisible(0);
	}
	
	function clientCmdBRsetAdmin(%val)
	{
		if(%val == 0)
			BR_AppliesTo.setText("Super (Admins)");
		if(%val == 1)
			BR_AppliesTo.setText("Admins");
		if(%val == 2)
			BR_AppliesTo.setText("No Admin");
	}
	
	function clientCmdBRexceptionRemove(%ID)
	{
		%row = BR_ExceptionList.findTextIndex(%ID);
		BR_ExceptionList.removeRow(%row);
	}
	
	function clientCmdBRexceptionAdd(%ID)
	{
		BR_ExceptionList.addRow($BR_ExceptionID,%ID);
		$BR_ExceptionID ++;
		BR_AddException.setText("");
		BR_ExceptionList.sortNumerical(0,true);
	}

	function clientCmdBRexceptionError()
	{
		if(!$BR_ExceptionError)
		{
			$BR_ExceptionError = 1;
			BR_ExceptionError.setVisible(1);
			schedule(250,0,eval,"BR_ExceptionError.setVisible(0);");
			schedule(500,0,eval,"BR_ExceptionError.setVisible(1);");
			schedule(750,0,eval,"BR_ExceptionError.setVisible(0);");
			schedule(1000,0,eval,"$BR_ExceptionError = 0;");
		}
	}

	function clientCmdBRopenGui()
	{
		canvas.pushDialog(baseplateRules);
	}
};
if(isPackage(baseplateRulesClient))
	deactivatePackage(baseplateRulesClient);
activatePackage("baseplateRulesClient");